<?php
$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_e13e80e20d331fa" . "ce5f56ce9d9be42c" . "d" => base64_decode("cmVzdG9yZV" . "9lcnJvcl9o" . "YW5kbGVy"), "_dda96eb36c5664b9e2bd434a" . "776edb25" => base64_decode("L1BoaW5n" . "TG9nZ2Vy" . "LnBocA=="), "_9342063570b4" . "0df2075204394" . "b59df59" => base64_decode("Z2V" . "0Y3" . "dk"), "_11def3af2a833468dd0" . "e4ff1f0bc5414" => base64_decode("Li4vY29yZS9ib290c3R" . "yYXAucGhw"), "_eb3d186008f632a0" . "f30f9ceb2ecf5d9c" => base64_decode("cmVjb3" . "Zlcg=="), "_dcf86ccc31af7f63af36115a" . "a12b1ee7" => base64_decode("Y2hka" . "XI="), "_7618fa2e4" . "4dd7c2de26" . "ed1413b53c" . "ddd" => base64_decode("Ly4uLy4uLy4uL3Nld" . "HVw"), "_70dc1ee5e25ad6e161d" . "08e0a3cd16124" => base64_decode("VXBkYXRpbmcgYX" . "BwbGljYXRpb24g" . "aW5zdGVhZA=="));
require_once __DIR__ . $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_dda96eb36c5" . "664b9e2bd434" . "a776edb25"];
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Util;




class DbInstallTask extends Task
{
    
    
    
    
    protected $application = null;
    public function init()
    {
    }
    public function main()
    {
        $_33cd0a6efc4dc46179519f04eaa36255 = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_934206357" . "0b40df2075" . "204394b59d" . "f59"]();
        $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_dcf86ccc31" . "af7f63af361" . "15aa12b1ee7"](__DIR__ . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_7618fa2e44dd7c2de26ed14" . "13b53cddd"]);
        require_once $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_11def3af2a833468dd0e4ff1f0bc54" . "14"];
        $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_e13e80e20d331face5f56ce9d" . "9be42cd"]();
        global $g_application;
        try {
            global $db;
            $db = $g_application->db;
            $_4825e032d19ebe3edee32a6a54c7afd2 = Util::GetApplicationPath($this->application, $g_application, $this->project);
            $_19eb5dd674f41f73f28cc12c375e91bd = new \Claromentis\Setup\Task\Install($db, $this->application, $_4825e032d19ebe3edee32a6a54c7afd2);
            $_19eb5dd674f41f73f28cc12c375e91bd->setLogger(new PhingLogger($this->project));
            $_19eb5dd674f41f73f28cc12c375e91bd->setProperties($this->project->GetProperties());
            try {
                $_19eb5dd674f41f73f28cc12c375e91bd->Install();
            } catch (AlreadyInstalledException $e) {
                if ($this->project->getProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_eb3d186008f632a0f30f9c" . "eb2ecf5d9c"])) {
                    $this->log($e->getMessage(), Project::MSG_WARN);
                    $this->log($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_70dc1ee5e25ad6e161d08" . "e0a3cd16124"], Project::MSG_INFO);
                    $_19eb5dd674f41f73f28cc12c375e91bd->Update();
                } else {
                    throw $e;
                }
            }
        } catch (Exception $e) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_dcf86ccc31af7f63af36115aa12b" . "1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
            $this->log($e->getMessage(), Project::MSG_ERR);
            throw new BuildException($e->getMessage());
        }
        $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_dcf86ccc31af7f63a" . "f36115aa12b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
    }
    
    
    
    
    
    
    public function setApplication($_f44467aacb8a4520c7382769d24aa422)
    {
        $this->application = $_f44467aacb8a4520c7382769d24aa422;
    }
}